#
# spec file for package perl-MooseX-Role-Cmd
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MooseX-Role-Cmd
Version:        0.10
Release:        4.11
%define cpan_name MooseX-Role-Cmd
Summary:        Wrap system command binaries the Moose way
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MooseX-Role-Cmd/
Source:         http://www.cpan.org/authors/id/E/ED/EDENC/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IPC::Cmd) >= 0.42
BuildRequires:  perl(Moose) >= 0.6
BuildRequires:  perl(Test::Exception)
#BuildRequires: perl(CPANPLUS::Backend)
#BuildRequires: perl(inc::Module::Install)
#BuildRequires: perl(LWP::Simple)
#BuildRequires: perl(Module::AutoInstall)
#BuildRequires: perl(Module::Build)
#BuildRequires: perl(Module::Install::Base)
#BuildRequires: perl(Moose::Role)
#BuildRequires: perl(Moose::Util::TypeConstraints)
#BuildRequires: perl(MooseX::Role::Cmd)
#BuildRequires: perl(MooseX::Role::Cmd::Meta::Attribute::Trait)
#BuildRequires: perl(YAML)
Requires:       perl(IPC::Cmd) >= 0.42
Requires:       perl(Moose) >= 0.6
%{perl_requires}

%description
MooseX::Role::Cmd is a the Moose manpage role intended to ease the task of
building command-line wrapper modules. It automatically maps the Moose
manpage objects into command strings which are passed to the IPC::Cmd
manpage.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes Makefile README

%changelog
* Tue Feb 14 2012 coolo@suse.com
- ran prepare_spec
* Tue Apr  5 2011 coolo@novell.com
- add manual exception cpanspec is unable to find
* Fri Apr  1 2011 coolo@novell.com
- initial package 0.10
  * created by cpanspec 1.78.03
